std::__detail::_Power2_rehash_policy Struct Reference
Containers » Unordered Associative » Base and Implementation Classes

## Public Types

using | __has_load_factor = std::true_type
typedef std::size_t | _State

## Public Member Functions

| _Power2_rehash_policy (float __z=1.0) noexcept
std::size_t | _M_bkt_for_elements (std::size_t __n) const noexcept
std::pair< bool, std::size_t > | _M_need_rehash (std::size_t __n_bkt, std::size_t __n_elt, std::size_t __n_ins) noexcept
std::size_t | _M_next_bkt (std::size_t __n) noexcept
void | _M_reset () noexcept
void | _M_reset (_State __state) noexcept
_State | _M_state () const noexcept
float | max_load_factor () const noexcept

## Public Attributes

float | _M_max_load_factor
std::size_t | _M_next_resize

## Static Public Attributes

static const std::size_t | _S_growth_factor

## Detailed Description

Rehash policy providing power of 2 bucket numbers. Avoids modulo operations.

Definition at line 546 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h